com.impinj.stp

## Class StpApi.Packet.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Packet.Builder>
      - - com.impinj.stp.StpApi.Packet.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.PacketOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Packet

      public static final class StpApi.Packet.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Packet.Builder>
      implements StpApi.PacketOrBuilder

  Protobuf type `Impinj.STP.Packet` The top-level Packet will contain a command, its response, or an async report messages.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Packet` | `build()`
    `StpApi.Packet` | `buildPartial()`
    `StpApi.Packet.Builder` | `clear()`
    `StpApi.Packet.Builder` | `clearCommand()` to reader
    `StpApi.Packet.Builder` | `clearReport()` Async message to host.
    `StpApi.Packet.Builder` | `clearResponse()` to host
    `StpApi.Packet.Builder` | `clearUpdate()` Async message to reader.
    `StpApi.Packet.Builder` | `clone()`
    `StpApi.Command` | `getCommand()` to reader
    `StpApi.Command.Builder` | `getCommandBuilder()` to reader
    `StpApi.CommandOrBuilder` | `getCommandOrBuilder()` to reader
    `StpApi.Packet` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.Report` | `getReport()` Async message to host.
    `StpApi.Report.Builder` | `getReportBuilder()` Async message to host.
    `StpApi.ReportOrBuilder` | `getReportOrBuilder()` Async message to host.
    `StpApi.Response` | `getResponse()` to host
    `StpApi.Response.Builder` | `getResponseBuilder()` to host
    `StpApi.ResponseOrBuilder` | `getResponseOrBuilder()` to host
    `StpApi.Update` | `getUpdate()` Async message to reader.
    `StpApi.Update.Builder` | `getUpdateBuilder()` Async message to reader.
    `StpApi.UpdateOrBuilder` | `getUpdateOrBuilder()` Async message to reader.
    `boolean` | `hasCommand()` to reader
    `boolean` | `hasReport()` Async message to host.
    `boolean` | `hasResponse()` to host
    `boolean` | `hasUpdate()` Async message to reader.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Packet.Builder` | `mergeCommand(StpApi.Command value)` to reader
    `StpApi.Packet.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Packet.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Packet.Builder` | `mergeFrom(StpApi.Packet other)`
    `StpApi.Packet.Builder` | `mergeReport(StpApi.Report value)` Async message to host.
    `StpApi.Packet.Builder` | `mergeResponse(StpApi.Response value)` to host
    `StpApi.Packet.Builder` | `mergeUpdate(StpApi.Update value)` Async message to reader.
    `StpApi.Packet.Builder` | `setCommand(StpApi.Command.Builder builderForValue)` to reader
    `StpApi.Packet.Builder` | `setCommand(StpApi.Command value)` to reader
    `StpApi.Packet.Builder` | `setReport(StpApi.Report.Builder builderForValue)` Async message to host.
    `StpApi.Packet.Builder` | `setReport(StpApi.Report value)` Async message to host.
    `StpApi.Packet.Builder` | `setResponse(StpApi.Response.Builder builderForValue)` to host
    `StpApi.Packet.Builder` | `setResponse(StpApi.Response value)` to host
    `StpApi.Packet.Builder` | `setUpdate(StpApi.Update.Builder builderForValue)` Async message to reader.
    `StpApi.Packet.Builder` | `setUpdate(StpApi.Update value)` Async message to reader.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Packet.Builder>`

    - #### clear

          public StpApi.Packet.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Packet.Builder>`

    - #### clone

          public StpApi.Packet.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Packet.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Packet.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Packet getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Packet build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Packet buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Packet.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Packet.Builder>`

    - #### mergeFrom

          public StpApi.Packet.Builder mergeFrom(StpApi.Packet other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Packet.Builder>`

    - #### mergeFrom

          public StpApi.Packet.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Packet.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasCommand

          public boolean hasCommand()

      to reader
      Specified by:
        `hasCommand` in interface `StpApi.PacketOrBuilder`

    - #### getCommand

          public StpApi.Command getCommand()

      to reader
      Specified by:
        `getCommand` in interface `StpApi.PacketOrBuilder`

    - #### setCommand

          public StpApi.Packet.Builder setCommand(StpApi.Command value)

      to reader

    - #### setCommand

          public StpApi.Packet.Builder setCommand(StpApi.Command.Builder builderForValue)

      to reader

    - #### mergeCommand

          public StpApi.Packet.Builder mergeCommand(StpApi.Command value)

      to reader

    - #### clearCommand

          public StpApi.Packet.Builder clearCommand()

      to reader

    - #### getCommandBuilder

          public StpApi.Command.Builder getCommandBuilder()

      to reader

    - #### getCommandOrBuilder

          public StpApi.CommandOrBuilder getCommandOrBuilder()

      to reader
      Specified by:
        `getCommandOrBuilder` in interface `StpApi.PacketOrBuilder`

    - #### hasResponse

          public boolean hasResponse()

      to host
      Specified by:
        `hasResponse` in interface `StpApi.PacketOrBuilder`

    - #### getResponse

          public StpApi.Response getResponse()

      to host
      Specified by:
        `getResponse` in interface `StpApi.PacketOrBuilder`

    - #### setResponse

          public StpApi.Packet.Builder setResponse(StpApi.Response value)

      to host

    - #### setResponse

          public StpApi.Packet.Builder setResponse(StpApi.Response.Builder builderForValue)

      to host

    - #### mergeResponse

          public StpApi.Packet.Builder mergeResponse(StpApi.Response value)

      to host

    - #### clearResponse

          public StpApi.Packet.Builder clearResponse()

      to host

    - #### getResponseBuilder

          public StpApi.Response.Builder getResponseBuilder()

      to host

    - #### getResponseOrBuilder

          public StpApi.ResponseOrBuilder getResponseOrBuilder()

      to host
      Specified by:
        `getResponseOrBuilder` in interface `StpApi.PacketOrBuilder`

    - #### hasReport

          public boolean hasReport()

      Async message to host.
      Specified by:
        `hasReport` in interface `StpApi.PacketOrBuilder`

    - #### getReport

          public StpApi.Report getReport()

      Async message to host.
      Specified by:
        `getReport` in interface `StpApi.PacketOrBuilder`

    - #### setReport

          public StpApi.Packet.Builder setReport(StpApi.Report value)

      Async message to host.

    - #### setReport

          public StpApi.Packet.Builder setReport(StpApi.Report.Builder builderForValue)

      Async message to host.

    - #### mergeReport

          public StpApi.Packet.Builder mergeReport(StpApi.Report value)

      Async message to host.

    - #### clearReport

          public StpApi.Packet.Builder clearReport()

      Async message to host.

    - #### getReportBuilder

          public StpApi.Report.Builder getReportBuilder()

      Async message to host.

    - #### getReportOrBuilder

          public StpApi.ReportOrBuilder getReportOrBuilder()

      Async message to host.
      Specified by:
        `getReportOrBuilder` in interface `StpApi.PacketOrBuilder`

    - #### hasUpdate

          public boolean hasUpdate()

      Async message to reader.
      Specified by:
        `hasUpdate` in interface `StpApi.PacketOrBuilder`

    - #### getUpdate

          public StpApi.Update getUpdate()

      Async message to reader.
      Specified by:
        `getUpdate` in interface `StpApi.PacketOrBuilder`

    - #### setUpdate

          public StpApi.Packet.Builder setUpdate(StpApi.Update value)

      Async message to reader.

    - #### setUpdate

          public StpApi.Packet.Builder setUpdate(StpApi.Update.Builder builderForValue)

      Async message to reader.

    - #### mergeUpdate

          public StpApi.Packet.Builder mergeUpdate(StpApi.Update value)

      Async message to reader.

    - #### clearUpdate

          public StpApi.Packet.Builder clearUpdate()

      Async message to reader.

    - #### getUpdateBuilder

          public StpApi.Update.Builder getUpdateBuilder()

      Async message to reader.

    - #### getUpdateOrBuilder

          public StpApi.UpdateOrBuilder getUpdateOrBuilder()

      Async message to reader.
      Specified by:
        `getUpdateOrBuilder` in interface `StpApi.PacketOrBuilder`